_ccRF_SPICmdStrobe:
;SPI_Functions.c,4 :: 		char ccRF_SPICmdStrobe(char cmd){
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;SPI_Functions.c,6 :: 		RC2_bit = 0;           // TRXEM_SPI_BEGIN();
LUI	R2, BitMask(RC2_bit+0)
ORI	R2, R2, BitMask(RC2_bit+0)
_SX	
;SPI_Functions.c,7 :: 		asm NOP;
NOP	
;SPI_Functions.c,8 :: 		rc = SPI3_Read(cmd);   //  TRXEM_SPI_TX(cmd);
ANDI	R25, R25, 255
JAL	_SPI3_Read+0
NOP	
; rc start address is: 12 (R3)
MOVZ	R3, R2, R0
;SPI_Functions.c,11 :: 		RC2_bit = 1;           // TRXEM_SPI_END();
LUI	R2, BitMask(RC2_bit+0)
ORI	R2, R2, BitMask(RC2_bit+0)
_SX	
;SPI_Functions.c,12 :: 		asm NOP;
NOP	
;SPI_Functions.c,13 :: 		return(rc);
ANDI	R2, R3, 255
; rc end address is: 12 (R3)
;SPI_Functions.c,14 :: 		}
L_end_ccRF_SPICmdStrobe:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _ccRF_SPICmdStrobe
_ccRF_ReadWriteBurstSingle:
;SPI_Functions.c,17 :: 		void ccRF_ReadWriteBurstSingle(char addr,char *pData,unsigned len)
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;SPI_Functions.c,21 :: 		if(addr & RADIO_READ_ACCESS)
SW	R25, 4(SP)
ANDI	R2, R25, 128
BNE	R2, R0, L__ccRF_ReadWriteBurstSingle33
NOP	
J	L_ccRF_ReadWriteBurstSingle0
NOP	
L__ccRF_ReadWriteBurstSingle33:
;SPI_Functions.c,23 :: 		if(addr & RADIO_BURST_ACCESS)
ANDI	R2, R25, 64
BNE	R2, R0, L__ccRF_ReadWriteBurstSingle35
NOP	
J	L_ccRF_ReadWriteBurstSingle1
NOP	
L__ccRF_ReadWriteBurstSingle35:
;SPI_Functions.c,25 :: 		for (i = 0; i < len; i++)
; i start address is: 16 (R4)
MOVZ	R4, R0, R0
; i end address is: 16 (R4)
L_ccRF_ReadWriteBurstSingle2:
; i start address is: 16 (R4)
ANDI	R3, R4, 65535
ANDI	R2, R27, 65535
SLTU	R2, R3, R2
BNE	R2, R0, L__ccRF_ReadWriteBurstSingle36
NOP	
J	L_ccRF_ReadWriteBurstSingle3
NOP	
L__ccRF_ReadWriteBurstSingle36:
;SPI_Functions.c,27 :: 		*pData++ = SPI3_Read(0);            /* Possible to combining read and write as one access type */
SB	R25, 8(SP)
MOVZ	R25, R0, R0
JAL	_SPI3_Read+0
NOP	
LBU	R25, 8(SP)
SB	R2, 0(R26)
ADDIU	R2, R26, 1
MOVZ	R26, R2, R0
;SPI_Functions.c,25 :: 		for (i = 0; i < len; i++)
ADDIU	R2, R4, 1
ANDI	R4, R2, 65535
;SPI_Functions.c,28 :: 		}
; i end address is: 16 (R4)
J	L_ccRF_ReadWriteBurstSingle2
NOP	
L_ccRF_ReadWriteBurstSingle3:
;SPI_Functions.c,29 :: 		}
J	L_ccRF_ReadWriteBurstSingle5
NOP	
L_ccRF_ReadWriteBurstSingle1:
;SPI_Functions.c,32 :: 		*pData = SPI3_Read(0);
MOVZ	R25, R0, R0
JAL	_SPI3_Read+0
NOP	
SB	R2, 0(R26)
;SPI_Functions.c,33 :: 		}
L_ccRF_ReadWriteBurstSingle5:
;SPI_Functions.c,34 :: 		}
J	L_ccRF_ReadWriteBurstSingle6
NOP	
L_ccRF_ReadWriteBurstSingle0:
;SPI_Functions.c,37 :: 		if(addr&RADIO_BURST_ACCESS)
ANDI	R2, R25, 64
BNE	R2, R0, L__ccRF_ReadWriteBurstSingle38
NOP	
J	L_ccRF_ReadWriteBurstSingle7
NOP	
L__ccRF_ReadWriteBurstSingle38:
;SPI_Functions.c,40 :: 		for (i = 0; i < len; i++)
; i start address is: 16 (R4)
MOVZ	R4, R0, R0
; i end address is: 16 (R4)
L_ccRF_ReadWriteBurstSingle8:
; i start address is: 16 (R4)
ANDI	R3, R4, 65535
ANDI	R2, R27, 65535
SLTU	R2, R3, R2
BNE	R2, R0, L__ccRF_ReadWriteBurstSingle39
NOP	
J	L_ccRF_ReadWriteBurstSingle9
NOP	
L__ccRF_ReadWriteBurstSingle39:
;SPI_Functions.c,42 :: 		SPI3_Write(*pData++);
SB	R25, 8(SP)
LBU	R25, 0(R26)
JAL	_SPI3_Write+0
NOP	
LBU	R25, 8(SP)
ADDIU	R2, R26, 1
MOVZ	R26, R2, R0
;SPI_Functions.c,40 :: 		for (i = 0; i < len; i++)
ADDIU	R2, R4, 1
ANDI	R4, R2, 65535
;SPI_Functions.c,43 :: 		}
; i end address is: 16 (R4)
J	L_ccRF_ReadWriteBurstSingle8
NOP	
L_ccRF_ReadWriteBurstSingle9:
;SPI_Functions.c,44 :: 		}
J	L_ccRF_ReadWriteBurstSingle11
NOP	
L_ccRF_ReadWriteBurstSingle7:
;SPI_Functions.c,47 :: 		SPI3_Write(*pData);
LBU	R25, 0(R26)
JAL	_SPI3_Write+0
NOP	
;SPI_Functions.c,48 :: 		}
L_ccRF_ReadWriteBurstSingle11:
;SPI_Functions.c,49 :: 		}
L_ccRF_ReadWriteBurstSingle6:
;SPI_Functions.c,51 :: 		}
;SPI_Functions.c,50 :: 		return;
;SPI_Functions.c,51 :: 		}
L_end_ccRF_ReadWriteBurstSingle:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _ccRF_ReadWriteBurstSingle
_ccRF_8BitRegAccess:
;SPI_Functions.c,53 :: 		char ccRF_8BitRegAccess(char accessType, char addrByte, char *pData, unsigned len)
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;SPI_Functions.c,59 :: 		RC2_bit = 0;
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
LUI	R2, BitMask(RC2_bit+0)
ORI	R2, R2, BitMask(RC2_bit+0)
_SX	
;SPI_Functions.c,60 :: 		asm NOP;
NOP	
;SPI_Functions.c,62 :: 		readValue = SPI3_Read(accessType|addrByte);
OR	R2, R25, R26
SB	R25, 16(SP)
ANDI	R25, R2, 255
JAL	_SPI3_Read+0
NOP	
LBU	R25, 16(SP)
; readValue start address is: 20 (R5)
MOVZ	R5, R2, R0
;SPI_Functions.c,63 :: 		ccRF_ReadWriteBurstSingle(accessType|addrByte, pData, len);
OR	R2, R25, R26
MOVZ	R26, R27, R0
ANDI	R27, R28, 65535
ANDI	R25, R2, 255
JAL	_ccRF_ReadWriteBurstSingle+0
NOP	
;SPI_Functions.c,64 :: 		asm NOP;
NOP	
;SPI_Functions.c,65 :: 		RC2_bit = 1;
LUI	R2, BitMask(RC2_bit+0)
ORI	R2, R2, BitMask(RC2_bit+0)
_SX	
;SPI_Functions.c,67 :: 		return(readValue);
ANDI	R2, R5, 255
; readValue end address is: 20 (R5)
;SPI_Functions.c,68 :: 		}
;SPI_Functions.c,67 :: 		return(readValue);
;SPI_Functions.c,68 :: 		}
L_end_ccRF_8BitRegAccess:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _ccRF_8BitRegAccess
_ccRF_16BitRegAccess:
;SPI_Functions.c,70 :: 		char ccRF_16BitRegAccess(char accessType, char extAddr, char regAddr, char *pData, char len)
ADDIU	SP, SP, -20
SW	RA, 0(SP)
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
; len start address is: 12 (R3)
LBU	R3, 20(SP)
;SPI_Functions.c,73 :: 		RC2_bit = 0;
LUI	R2, BitMask(RC2_bit+0)
ORI	R2, R2, BitMask(RC2_bit+0)
_SX	
;SPI_Functions.c,74 :: 		asm NOP;
NOP	
;SPI_Functions.c,77 :: 		readValue = SPI3_Read(accessType|extAddr);
OR	R2, R25, R26
SB	R25, 16(SP)
ANDI	R25, R2, 255
JAL	_SPI3_Read+0
NOP	
; readValue start address is: 20 (R5)
MOVZ	R5, R2, R0
;SPI_Functions.c,78 :: 		SPI3_Write(regAddr);
ANDI	R25, R27, 255
JAL	_SPI3_Write+0
NOP	
LBU	R25, 16(SP)
;SPI_Functions.c,80 :: 		ccRF_ReadWriteBurstSingle(accessType|extAddr, pData, len);
OR	R2, R25, R26
ANDI	R27, R3, 255
; len end address is: 12 (R3)
MOVZ	R26, R28, R0
ANDI	R25, R2, 255
JAL	_ccRF_ReadWriteBurstSingle+0
NOP	
;SPI_Functions.c,81 :: 		asm NOP;
NOP	
;SPI_Functions.c,82 :: 		RC2_bit = 1;
LUI	R2, BitMask(RC2_bit+0)
ORI	R2, R2, BitMask(RC2_bit+0)
_SX	
;SPI_Functions.c,84 :: 		return(readValue);
ANDI	R2, R5, 255
; readValue end address is: 20 (R5)
;SPI_Functions.c,85 :: 		}
;SPI_Functions.c,84 :: 		return(readValue);
;SPI_Functions.c,85 :: 		}
L_end_ccRF_16BitRegAccess:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _ccRF_16BitRegAccess
_ccRF_SPIWriteReg:
;SPI_Functions.c,87 :: 		char ccRF_SPIWriteReg(unsigned addr, char *pData, char len){
ADDIU	SP, SP, -24
SW	RA, 0(SP)
;SPI_Functions.c,88 :: 		char tempExt  = (char)(addr>>8);
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R28, 16(SP)
ANDI	R2, R25, 65535
SRL	R2, R2, 8
; tempExt start address is: 24 (R6)
ANDI	R6, R2, 255
;SPI_Functions.c,89 :: 		char tempAddr = (char)(addr & 0x00FF);
ANDI	R2, R25, 255
; tempAddr start address is: 28 (R7)
ANDI	R7, R2, 255
;SPI_Functions.c,93 :: 		if((CCRF_3_SINGLE_TXFIFO <= tempAddr) && (tempExt == 0)) return STATUS_CHIP_RDYn_BM;
ANDI	R2, R2, 255
SLTIU	R2, R2, 63
BEQ	R2, R0, L__ccRF_SPIWriteReg43
NOP	
J	L__ccRF_SPIWriteReg26
NOP	
L__ccRF_SPIWriteReg43:
ANDI	R2, R6, 255
BEQ	R2, R0, L__ccRF_SPIWriteReg44
NOP	
J	L__ccRF_SPIWriteReg25
NOP	
L__ccRF_SPIWriteReg44:
; tempExt end address is: 24 (R6)
; tempAddr end address is: 28 (R7)
L__ccRF_SPIWriteReg24:
ORI	R2, R0, 128
J	L_end_ccRF_SPIWriteReg
NOP	
L__ccRF_SPIWriteReg26:
; tempAddr start address is: 28 (R7)
; tempExt start address is: 24 (R6)
L__ccRF_SPIWriteReg25:
;SPI_Functions.c,96 :: 		if(!tempExt){
BEQ	R6, R0, L__ccRF_SPIWriteReg45
NOP	
J	L_ccRF_SPIWriteReg15
NOP	
L__ccRF_SPIWriteReg45:
; tempExt end address is: 24 (R6)
;SPI_Functions.c,97 :: 		rc = ccRF_8BitRegAccess((RADIO_BURST_ACCESS|RADIO_WRITE_ACCESS), tempAddr, pData, len);
ANDI	R28, R27, 255
MOVZ	R27, R26, R0
ANDI	R26, R7, 255
; tempAddr end address is: 28 (R7)
ORI	R25, R0, 64
JAL	_ccRF_8BitRegAccess+0
NOP	
SB	R2, 20(SP)
;SPI_Functions.c,98 :: 		}
J	L_ccRF_SPIWriteReg16
NOP	
L_ccRF_SPIWriteReg15:
;SPI_Functions.c,99 :: 		else if (tempExt == 0x2F){
; tempAddr start address is: 28 (R7)
; tempExt start address is: 24 (R6)
ANDI	R3, R6, 255
ORI	R2, R0, 47
BEQ	R3, R2, L__ccRF_SPIWriteReg46
NOP	
J	L_ccRF_SPIWriteReg17
NOP	
L__ccRF_SPIWriteReg46:
;SPI_Functions.c,100 :: 		rc = ccRF_16BitRegAccess((RADIO_BURST_ACCESS|RADIO_WRITE_ACCESS), tempExt, tempAddr, pData, len);
ADDIU	SP, SP, -4
SB	R27, 0(SP)
MOVZ	R28, R26, R0
ANDI	R26, R6, 255
; tempAddr end address is: 28 (R7)
ORI	R25, R0, 64
; tempExt end address is: 24 (R6)
ANDI	R27, R7, 255
JAL	_ccRF_16BitRegAccess+0
NOP	
ADDIU	SP, SP, 4
SB	R2, 20(SP)
;SPI_Functions.c,101 :: 		}
L_ccRF_SPIWriteReg17:
L_ccRF_SPIWriteReg16:
;SPI_Functions.c,102 :: 		return (rc);
LBU	R2, 20(SP)
;SPI_Functions.c,103 :: 		}
;SPI_Functions.c,102 :: 		return (rc);
;SPI_Functions.c,103 :: 		}
L_end_ccRF_SPIWriteReg:
LW	R28, 16(SP)
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 24
JR	RA
NOP	
; end of _ccRF_SPIWriteReg
_ccRF_SPIReadReg:
;SPI_Functions.c,105 :: 		char ccRF_SPIReadReg(unsigned addr, char *pData, char len)
ADDIU	SP, SP, -24
SW	RA, 0(SP)
;SPI_Functions.c,107 :: 		char tempExt  = (char)(addr>>8);
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R28, 16(SP)
ANDI	R2, R25, 65535
SRL	R2, R2, 8
; tempExt start address is: 24 (R6)
ANDI	R6, R2, 255
;SPI_Functions.c,108 :: 		char tempAddr = (char)(addr & 0x00FF);
ANDI	R2, R25, 255
; tempAddr start address is: 28 (R7)
ANDI	R7, R2, 255
;SPI_Functions.c,112 :: 		if((CCRF_3_SINGLE_TXFIFO<=tempAddr)&&(tempExt==0)) return STATUS_CHIP_RDYn_BM;
ANDI	R2, R2, 255
SLTIU	R2, R2, 63
BEQ	R2, R0, L__ccRF_SPIReadReg48
NOP	
J	L__ccRF_SPIReadReg29
NOP	
L__ccRF_SPIReadReg48:
ANDI	R2, R6, 255
BEQ	R2, R0, L__ccRF_SPIReadReg49
NOP	
J	L__ccRF_SPIReadReg28
NOP	
L__ccRF_SPIReadReg49:
; tempExt end address is: 24 (R6)
; tempAddr end address is: 28 (R7)
L__ccRF_SPIReadReg27:
ORI	R2, R0, 128
J	L_end_ccRF_SPIReadReg
NOP	
L__ccRF_SPIReadReg29:
; tempAddr start address is: 28 (R7)
; tempExt start address is: 24 (R6)
L__ccRF_SPIReadReg28:
;SPI_Functions.c,115 :: 		if(!tempExt)
BEQ	R6, R0, L__ccRF_SPIReadReg50
NOP	
J	L_ccRF_SPIReadReg21
NOP	
L__ccRF_SPIReadReg50:
; tempExt end address is: 24 (R6)
;SPI_Functions.c,117 :: 		rc = ccRF_8BitRegAccess((RADIO_BURST_ACCESS|RADIO_READ_ACCESS),tempAddr,pData,len);
ANDI	R28, R27, 255
MOVZ	R27, R26, R0
ANDI	R26, R7, 255
; tempAddr end address is: 28 (R7)
ORI	R25, R0, 192
JAL	_ccRF_8BitRegAccess+0
NOP	
SB	R2, 20(SP)
;SPI_Functions.c,118 :: 		}
J	L_ccRF_SPIReadReg22
NOP	
L_ccRF_SPIReadReg21:
;SPI_Functions.c,119 :: 		else if (tempExt == 0x2F)
; tempAddr start address is: 28 (R7)
; tempExt start address is: 24 (R6)
ANDI	R3, R6, 255
ORI	R2, R0, 47
BEQ	R3, R2, L__ccRF_SPIReadReg51
NOP	
J	L_ccRF_SPIReadReg23
NOP	
L__ccRF_SPIReadReg51:
;SPI_Functions.c,121 :: 		rc = ccRF_16BitRegAccess((RADIO_BURST_ACCESS|RADIO_READ_ACCESS),tempExt,tempAddr,pData,len);
ADDIU	SP, SP, -4
SB	R27, 0(SP)
MOVZ	R28, R26, R0
ANDI	R26, R6, 255
; tempAddr end address is: 28 (R7)
ORI	R25, R0, 192
; tempExt end address is: 24 (R6)
ANDI	R27, R7, 255
JAL	_ccRF_16BitRegAccess+0
NOP	
ADDIU	SP, SP, 4
SB	R2, 20(SP)
;SPI_Functions.c,122 :: 		}
L_ccRF_SPIReadReg23:
L_ccRF_SPIReadReg22:
;SPI_Functions.c,123 :: 		return (rc);
LBU	R2, 20(SP)
;SPI_Functions.c,124 :: 		}
;SPI_Functions.c,123 :: 		return (rc);
;SPI_Functions.c,124 :: 		}
L_end_ccRF_SPIReadReg:
LW	R28, 16(SP)
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 24
JR	RA
NOP	
; end of _ccRF_SPIReadReg
_ccRF_SPIWriteTxFifo:
;SPI_Functions.c,126 :: 		char ccRF_SPIWriteTxFifo(char *pData, char len)
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;SPI_Functions.c,129 :: 		rc = ccRF_8BitRegAccess(0x00,CCRF_3_BURST_TXFIFO, pData, len);
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R28, 16(SP)
ANDI	R28, R26, 255
MOVZ	R27, R25, R0
ORI	R26, R0, 127
MOVZ	R25, R0, R0
JAL	_ccRF_8BitRegAccess+0
NOP	
;SPI_Functions.c,130 :: 		return (rc);
;SPI_Functions.c,131 :: 		}
;SPI_Functions.c,130 :: 		return (rc);
;SPI_Functions.c,131 :: 		}
L_end_ccRF_SPIWriteTxFifo:
LW	R28, 16(SP)
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _ccRF_SPIWriteTxFifo
_ccRF_SPIReadRxFifo:
;SPI_Functions.c,133 :: 		char ccRF_SPIReadRxFifo(char * pData, char len)
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;SPI_Functions.c,136 :: 		rc = ccRF_8BitRegAccess(0x00,CCRF_3_BURST_RXFIFO, pData, len);
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R28, 16(SP)
ANDI	R28, R26, 255
MOVZ	R27, R25, R0
ORI	R26, R0, 255
MOVZ	R25, R0, R0
JAL	_ccRF_8BitRegAccess+0
NOP	
;SPI_Functions.c,137 :: 		return (rc);
;SPI_Functions.c,138 :: 		}
;SPI_Functions.c,137 :: 		return (rc);
;SPI_Functions.c,138 :: 		}
L_end_ccRF_SPIReadRxFifo:
LW	R28, 16(SP)
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _ccRF_SPIReadRxFifo
_ccRF_ReadGPIO2:
;SPI_Functions.c,140 :: 		char ccRF_ReadGPIO2(){
;SPI_Functions.c,141 :: 		return RD0_bit;
_LX	
EXT	R2, R2, BitPos(RD0_bit+0), 1
;SPI_Functions.c,142 :: 		}
L_end_ccRF_ReadGPIO2:
JR	RA
NOP	
; end of _ccRF_ReadGPIO2
