_ccRF_CreatePacket:
;easyLink.c,12 :: 		void ccRF_CreatePacket(char txBuffer[])
;easyLink.c,15 :: 		char tmp = 0xAA;
; tmp start address is: 16 (R4)
ORI	R4, R0, 170
;easyLink.c,16 :: 		buffer[0] = PKTLEN;                          // Length byte
ORI	R2, R0, 5
SB	R2, Offset(_buffer+0)(GP)
;easyLink.c,17 :: 		buffer[1] = (char) (packetCounter >> 8);     // MSB of packetCounter
LHU	R2, Offset(_packetCounter+0)(GP)
SRL	R2, R2, 8
SB	R2, Offset(_buffer+1)(GP)
;easyLink.c,18 :: 		buffer[2] = (char)  packetCounter;           // LSB of packetCounter
LHU	R2, Offset(_packetCounter+0)(GP)
SB	R2, Offset(_buffer+2)(GP)
;easyLink.c,21 :: 		for(i = 3; i < PKTLEN; i++)
; i start address is: 20 (R5)
ORI	R5, R0, 3
; i end address is: 20 (R5)
L_ccRF_CreatePacket0:
; i start address is: 20 (R5)
; tmp start address is: 16 (R4)
; tmp end address is: 16 (R4)
SEH	R2, R5
SLTI	R2, R2, 5
BNE	R2, R0, L__ccRF_CreatePacket24
NOP	
J	L_ccRF_CreatePacket1
NOP	
L__ccRF_CreatePacket24:
; tmp end address is: 16 (R4)
;easyLink.c,23 :: 		if ( i % 2 )
; tmp start address is: 16 (R4)
ORI	R2, R0, 2
DIV	R5, R2
MFHI	R2
BNE	R2, R0, L__ccRF_CreatePacket26
NOP	
J	L_ccRF_CreatePacket3
NOP	
L__ccRF_CreatePacket26:
;easyLink.c,25 :: 		buffer[i] = tmp;
SEH	R3, R5
LUI	R2, hi_addr(_buffer+0)
ORI	R2, R2, lo_addr(_buffer+0)
ADDU	R2, R2, R3
SB	R4, 0(R2)
;easyLink.c,26 :: 		}
J	L_ccRF_CreatePacket4
NOP	
L_ccRF_CreatePacket3:
;easyLink.c,29 :: 		buffer[i] = ~tmp;
SEH	R3, R5
LUI	R2, hi_addr(_buffer+0)
ORI	R2, R2, lo_addr(_buffer+0)
ADDU	R3, R2, R3
NOR	R2, R4, R0
SB	R2, 0(R3)
;easyLink.c,30 :: 		}
L_ccRF_CreatePacket4:
;easyLink.c,21 :: 		for(i = 3; i < PKTLEN; i++)
ADDIU	R2, R5, 1
SEH	R5, R2
;easyLink.c,31 :: 		}
; tmp end address is: 16 (R4)
; i end address is: 20 (R5)
J	L_ccRF_CreatePacket0
NOP	
L_ccRF_CreatePacket1:
;easyLink.c,32 :: 		}
L_end_ccRF_CreatePacket:
JR	RA
NOP	
; end of _ccRF_CreatePacket
_ccRF_RunTX:
;easyLink.c,34 :: 		void ccRF_RunTX()
ADDIU	SP, SP, -28
SW	RA, 0(SP)
;easyLink.c,38 :: 		packetCounter++;
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R28, 16(SP)
LHU	R2, Offset(_packetCounter+0)(GP)
ADDIU	R2, R2, 1
SH	R2, Offset(_packetCounter+0)(GP)
;easyLink.c,39 :: 		WordToStr(packetCounter, txt_cnt);
ADDIU	R2, SP, 20
MOVZ	R26, R2, R0
LHU	R25, Offset(_packetCounter+0)(GP)
JAL	_WordToStr+0
NOP	
;easyLink.c,40 :: 		TFT_Rectangle(180,120,280,150);
ORI	R28, R0, 150
ORI	R27, R0, 280
ORI	R26, R0, 120
ORI	R25, R0, 180
JAL	_TFT_Rectangle+0
NOP	
;easyLink.c,41 :: 		TFT_Write_Text(txt_cnt, 200, 130);
ADDIU	R2, SP, 20
ORI	R27, R0, 130
ORI	R26, R0, 200
MOVZ	R25, R2, R0
JAL	_TFT_Write_Text+0
NOP	
;easyLink.c,45 :: 		ccRF_CreatePacket(buffer);
LUI	R25, hi_addr(_buffer+0)
ORI	R25, R25, lo_addr(_buffer+0)
JAL	_ccRF_CreatePacket+0
NOP	
;easyLink.c,47 :: 		ccRF_SPIWriteTxFifo(buffer, sizeof(buffer));
ORI	R26, R0, 6
LUI	R25, hi_addr(_buffer+0)
ORI	R25, R25, lo_addr(_buffer+0)
JAL	_ccRF_SPIWriteTxFifo+0
NOP	
;easyLink.c,49 :: 		ccRF_SPICmdStrobe(CCRF_3_STX);
ORI	R25, R0, 53
JAL	_ccRF_SPICmdStrobe+0
NOP	
;easyLink.c,50 :: 		Delay_100ms();
JAL	_Delay_100ms+0
NOP	
;easyLink.c,51 :: 		}
L_end_ccRF_RunTX:
LW	R28, 16(SP)
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 28
JR	RA
NOP	
; end of _ccRF_RunTX
_ccRF_SetRXmode:
;easyLink.c,54 :: 		void ccRF_SetRXmode()
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;easyLink.c,56 :: 		ccRF_SpiCmdStrobe(CCRF_3_SRX);
SW	R25, 4(SP)
ORI	R25, R0, 52
JAL	_ccRF_SPICmdStrobe+0
NOP	
;easyLink.c,57 :: 		}
L_end_ccRF_SetRXmode:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _ccRF_SetRXmode
_ccRF_RunRX:
;easyLink.c,59 :: 		void ccRF_RunRX(){
ADDIU	SP, SP, -48
SW	RA, 0(SP)
;easyLink.c,63 :: 		unsigned receivedCnt = 0;
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R28, 16(SP)
;easyLink.c,65 :: 		if(CCRF_3_GP3){
_LX	
EXT	R2, R2, BitPos(CCRF_3_GP3+0), 1
BNE	R2, R0, L__ccRF_RunRX31
NOP	
J	L_ccRF_RunRX5
NOP	
L__ccRF_RunRX31:
;easyLink.c,66 :: 		while(CCRF_3_GP3);
L_ccRF_RunRX6:
_LX	
EXT	R2, R2, BitPos(CCRF_3_GP3+0), 1
BNE	R2, R0, L__ccRF_RunRX33
NOP	
J	L_ccRF_RunRX7
NOP	
L__ccRF_RunRX33:
J	L_ccRF_RunRX6
NOP	
L_ccRF_RunRX7:
;easyLink.c,69 :: 		ccRF_SPIReadReg(CCRF_3_NUM_RXBYTES, &rxBytes, 1);
ADDIU	R2, SP, 45
ORI	R27, R0, 1
MOVZ	R26, R2, R0
ORI	R25, R0, 12247
JAL	_ccRF_SPIReadReg+0
NOP	
;easyLink.c,71 :: 		if(rxBytes != 0) {
LBU	R2, 45(SP)
BNE	R2, R0, L__ccRF_RunRX35
NOP	
J	L_ccRF_RunRX8
NOP	
L__ccRF_RunRX35:
;easyLink.c,73 :: 		ccRF_SPIReadReg(CCRF_3_MARCSTATE, &marcState, 1);
ADDIU	R2, SP, 46
ORI	R27, R0, 1
MOVZ	R26, R2, R0
ORI	R25, R0, 12147
JAL	_ccRF_SPIReadReg+0
NOP	
;easyLink.c,75 :: 		if((marcState & 0x1F) == RX_FIFO_ERROR) {
LBU	R2, 46(SP)
ANDI	R2, R2, 31
ANDI	R3, R2, 255
ORI	R2, R0, 17
BEQ	R3, R2, L__ccRF_RunRX36
NOP	
J	L_ccRF_RunRX9
NOP	
L__ccRF_RunRX36:
;easyLink.c,77 :: 		CCRF_SpiCmdStrobe(CCRF_3_SFRX);
ORI	R25, R0, 58
JAL	_ccRF_SPICmdStrobe+0
NOP	
;easyLink.c,78 :: 		TFT_Write_Text("ERROR", 200, 180);
ORI	R27, R0, 180
ORI	R26, R0, 200
LUI	R25, hi_addr(?lstr1_easyLink+0)
ORI	R25, R25, lo_addr(?lstr1_easyLink+0)
JAL	_TFT_Write_Text+0
NOP	
;easyLink.c,79 :: 		} else {
J	L_ccRF_RunRX10
NOP	
L_ccRF_RunRX9:
;easyLink.c,81 :: 		ccRF_SPIReadRxFifo(buffer, rxBytes);
LBU	R26, 45(SP)
LUI	R25, hi_addr(_buffer+0)
ORI	R25, R25, lo_addr(_buffer+0)
JAL	_ccRF_SPIReadRxFifo+0
NOP	
;easyLink.c,86 :: 		if(buffer[rxBytes - 1] & 0x80) {
LBU	R2, 45(SP)
ADDIU	R2, R2, -1
SEH	R3, R2
LUI	R2, hi_addr(_buffer+0)
ORI	R2, R2, lo_addr(_buffer+0)
ADDU	R2, R2, R3
LBU	R2, 0(R2)
ANDI	R2, R2, 128
BNE	R2, R0, L__ccRF_RunRX38
NOP	
J	L_ccRF_RunRX11
NOP	
L__ccRF_RunRX38:
;easyLink.c,87 :: 		ccRF_SetRXmode();
JAL	_ccRF_SetRXmode+0
NOP	
;easyLink.c,89 :: 		receivedCounter++;
LHU	R2, Offset(_receivedCounter+0)(GP)
ADDIU	R2, R2, 1
SH	R2, Offset(_receivedCounter+0)(GP)
;easyLink.c,90 :: 		receivedCnt  = buffer[1]<<8;
LBU	R2, Offset(_buffer+1)(GP)
SLL	R3, R2, 8
;easyLink.c,91 :: 		receivedCnt += buffer[2];
LBU	R2, Offset(_buffer+2)(GP)
ADDU	R3, R3, R2
;easyLink.c,92 :: 		WordToStr(receivedCnt, txt);
ADDIU	R2, SP, 20
MOVZ	R26, R2, R0
ANDI	R25, R3, 65535
JAL	_WordToStr+0
NOP	
;easyLink.c,93 :: 		TFT_Set_Pen( CL_WHITE, 1 );
ORI	R26, R0, 1
ORI	R25, R0, 65535
JAL	_TFT_Set_Pen+0
NOP	
;easyLink.c,94 :: 		TFT_Set_Brush(1, CL_WHITE, 0, 0, 0, 0);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 65535
ORI	R25, R0, 1
ADDIU	SP, SP, -4
SH	R0, 2(SP)
SH	R0, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;easyLink.c,95 :: 		TFT_Rectangle(190, 180, 300, 200);
ORI	R28, R0, 200
ORI	R27, R0, 300
ORI	R26, R0, 180
ORI	R25, R0, 190
JAL	_TFT_Rectangle+0
NOP	
;easyLink.c,96 :: 		TFT_Write_Text(txt, 200, 180);
ADDIU	R2, SP, 20
ORI	R27, R0, 180
ORI	R26, R0, 200
MOVZ	R25, R2, R0
JAL	_TFT_Write_Text+0
NOP	
;easyLink.c,98 :: 		}
L_ccRF_RunRX11:
;easyLink.c,99 :: 		}
L_ccRF_RunRX10:
;easyLink.c,100 :: 		}
L_ccRF_RunRX8:
;easyLink.c,101 :: 		}
L_ccRF_RunRX5:
;easyLink.c,102 :: 		}
L_end_ccRF_RunRX:
LW	R28, 16(SP)
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 48
JR	RA
NOP	
; end of _ccRF_RunRX
_ccRF_RegisterConfig:
;easyLink.c,104 :: 		void ccRF_RegisterConfig(void)
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;easyLink.c,109 :: 		CCRF_SpiCmdStrobe(CCRF_3_SRES);
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
ORI	R25, R0, 48
JAL	_ccRF_SPICmdStrobe+0
NOP	
;easyLink.c,112 :: 		for(i = 0; i < (sizeof(preferredSettings_433)/sizeof(registerSetting_t)); i++)
; i start address is: 20 (R5)
MOVZ	R5, R0, R0
; i end address is: 20 (R5)
L_ccRF_RegisterConfig12:
; i start address is: 20 (R5)
ANDI	R2, R5, 65535
SLTIU	R2, R2, 40
BNE	R2, R0, L__ccRF_RegisterConfig40
NOP	
J	L_ccRF_RegisterConfig13
NOP	
L__ccRF_RegisterConfig40:
;easyLink.c,114 :: 		writeByte = preferredSettings_433[i].dat;
ANDI	R2, R5, 65535
SLL	R3, R2, 2
LUI	R2, hi_addr(_preferredSettings_433+0)
ORI	R2, R2, lo_addr(_preferredSettings_433+0)
ADDU	R4, R2, R3
ADDIU	R2, R4, 2
LBU	R2, 0(R2)
SB	R2, 18(SP)
;easyLink.c,115 :: 		CCRF_SpiWriteReg(preferredSettings_433[i].addr, &writeByte, 1);
ADDIU	R3, SP, 18
LHU	R2, 0(R4)
SH	R5, 16(SP)
ORI	R27, R0, 1
MOVZ	R26, R3, R0
ANDI	R25, R2, 65535
JAL	_ccRF_SPIWriteReg+0
NOP	
LHU	R5, 16(SP)
;easyLink.c,112 :: 		for(i = 0; i < (sizeof(preferredSettings_433)/sizeof(registerSetting_t)); i++)
ADDIU	R2, R5, 1
ANDI	R5, R2, 65535
;easyLink.c,116 :: 		}
; i end address is: 20 (R5)
J	L_ccRF_RegisterConfig12
NOP	
L_ccRF_RegisterConfig13:
;easyLink.c,117 :: 		}
L_end_ccRF_RegisterConfig:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _ccRF_RegisterConfig
_ccRF_ManualCalibration:
;easyLink.c,124 :: 		void ccRF_ManualCalibration(void) {
ADDIU	SP, SP, -28
SW	RA, 0(SP)
;easyLink.c,133 :: 		writeByte = 0x00;
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SB	R0, 24(SP)
;easyLink.c,134 :: 		CCRF_SpiWriteReg(CCRF_3_FS_VCO2, &writeByte, 1);
ADDIU	R2, SP, 24
ORI	R27, R0, 1
MOVZ	R26, R2, R0
ORI	R25, R0, 12069
JAL	_ccRF_SPIWriteReg+0
NOP	
;easyLink.c,137 :: 		CCRF_SpiReadReg(CCRF_3_FS_CAL2, &original_fs_cal2, 1);
ADDIU	R2, SP, 16
ORI	R27, R0, 1
MOVZ	R26, R2, R0
ORI	R25, R0, 12053
JAL	_ccRF_SPIReadReg+0
NOP	
;easyLink.c,138 :: 		writeByte = original_fs_cal2 + VCDAC_START_OFFSET;
LBU	R2, 16(SP)
ADDIU	R2, R2, 2
SB	R2, 24(SP)
;easyLink.c,139 :: 		CCRF_SpiWriteReg(CCRF_3_FS_CAL2, &writeByte, 1);
ADDIU	R2, SP, 24
ORI	R27, R0, 1
MOVZ	R26, R2, R0
ORI	R25, R0, 12053
JAL	_ccRF_SPIWriteReg+0
NOP	
;easyLink.c,143 :: 		CCRF_SpiCmdStrobe(CCRF_3_SCAL);
ORI	R25, R0, 51
JAL	_ccRF_SPICmdStrobe+0
NOP	
;easyLink.c,145 :: 		do {
L_ccRF_ManualCalibration15:
;easyLink.c,146 :: 		CCRF_SpiReadReg(CCRF_3_MARCSTATE, &marcstate, 1);
ADDIU	R2, SP, 23
ORI	R27, R0, 1
MOVZ	R26, R2, R0
ORI	R25, R0, 12147
JAL	_ccRF_SPIReadReg+0
NOP	
;easyLink.c,147 :: 		} while (marcstate != 0x41);
LBU	R3, 23(SP)
ORI	R2, R0, 65
BEQ	R3, R2, L__ccRF_ManualCalibration42
NOP	
J	L_ccRF_ManualCalibration15
NOP	
L__ccRF_ManualCalibration42:
;easyLink.c,152 :: 		&calResults_for_vcdac_start_high[FS_VCO2_INDEX], 1);
ADDIU	R2, SP, 17
ORI	R27, R0, 1
MOVZ	R26, R2, R0
;easyLink.c,151 :: 		CCRF_SpiReadReg(CCRF_3_FS_VCO2,
ORI	R25, R0, 12069
;easyLink.c,152 :: 		&calResults_for_vcdac_start_high[FS_VCO2_INDEX], 1);
JAL	_ccRF_SPIReadReg+0
NOP	
;easyLink.c,154 :: 		&calResults_for_vcdac_start_high[FS_VCO4_INDEX], 1);
ADDIU	R2, SP, 17
ADDIU	R2, R2, 1
ORI	R27, R0, 1
MOVZ	R26, R2, R0
;easyLink.c,153 :: 		CCRF_SpiReadReg(CCRF_3_FS_VCO4,
ORI	R25, R0, 12067
;easyLink.c,154 :: 		&calResults_for_vcdac_start_high[FS_VCO4_INDEX], 1);
JAL	_ccRF_SPIReadReg+0
NOP	
;easyLink.c,156 :: 		&calResults_for_vcdac_start_high[FS_CHP_INDEX], 1);
ADDIU	R2, SP, 17
ADDIU	R2, R2, 2
ORI	R27, R0, 1
MOVZ	R26, R2, R0
;easyLink.c,155 :: 		CCRF_SpiReadReg(CCRF_3_FS_CHP,
ORI	R25, R0, 12056
;easyLink.c,156 :: 		&calResults_for_vcdac_start_high[FS_CHP_INDEX], 1);
JAL	_ccRF_SPIReadReg+0
NOP	
;easyLink.c,159 :: 		writeByte = 0x00;
SB	R0, 24(SP)
;easyLink.c,160 :: 		CCRF_SpiWriteReg(CCRF_3_FS_VCO2, &writeByte, 1);
ADDIU	R2, SP, 24
ORI	R27, R0, 1
MOVZ	R26, R2, R0
ORI	R25, R0, 12069
JAL	_ccRF_SPIWriteReg+0
NOP	
;easyLink.c,163 :: 		writeByte = original_fs_cal2;
LBU	R2, 16(SP)
SB	R2, 24(SP)
;easyLink.c,164 :: 		CCRF_SpiWriteReg(CCRF_3_FS_CAL2, &writeByte, 1);
ADDIU	R2, SP, 24
ORI	R27, R0, 1
MOVZ	R26, R2, R0
ORI	R25, R0, 12053
JAL	_ccRF_SPIWriteReg+0
NOP	
;easyLink.c,168 :: 		CCRF_SpiCmdStrobe(CCRF_3_SCAL);
ORI	R25, R0, 51
JAL	_ccRF_SPICmdStrobe+0
NOP	
;easyLink.c,170 :: 		do {
L_ccRF_ManualCalibration18:
;easyLink.c,171 :: 		CCRF_SpiReadReg(CCRF_3_MARCSTATE, &marcstate, 1);
ADDIU	R2, SP, 23
ORI	R27, R0, 1
MOVZ	R26, R2, R0
ORI	R25, R0, 12147
JAL	_ccRF_SPIReadReg+0
NOP	
;easyLink.c,172 :: 		} while (marcstate != 0x41);
LBU	R3, 23(SP)
ORI	R2, R0, 65
BEQ	R3, R2, L__ccRF_ManualCalibration43
NOP	
J	L_ccRF_ManualCalibration18
NOP	
L__ccRF_ManualCalibration43:
;easyLink.c,177 :: 		&calResults_for_vcdac_start_mid[FS_VCO2_INDEX], 1);
ADDIU	R2, SP, 20
ORI	R27, R0, 1
MOVZ	R26, R2, R0
;easyLink.c,176 :: 		CCRF_SpiReadReg(CCRF_3_FS_VCO2,
ORI	R25, R0, 12069
;easyLink.c,177 :: 		&calResults_for_vcdac_start_mid[FS_VCO2_INDEX], 1);
JAL	_ccRF_SPIReadReg+0
NOP	
;easyLink.c,179 :: 		&calResults_for_vcdac_start_mid[FS_VCO4_INDEX], 1);
ADDIU	R2, SP, 20
ADDIU	R2, R2, 1
ORI	R27, R0, 1
MOVZ	R26, R2, R0
;easyLink.c,178 :: 		CCRF_SpiReadReg(CCRF_3_FS_VCO4,
ORI	R25, R0, 12067
;easyLink.c,179 :: 		&calResults_for_vcdac_start_mid[FS_VCO4_INDEX], 1);
JAL	_ccRF_SPIReadReg+0
NOP	
;easyLink.c,181 :: 		&calResults_for_vcdac_start_mid[FS_CHP_INDEX], 1);
ADDIU	R2, SP, 20
ADDIU	R2, R2, 2
ORI	R27, R0, 1
MOVZ	R26, R2, R0
;easyLink.c,180 :: 		CCRF_SpiReadReg(CCRF_3_FS_CHP,
ORI	R25, R0, 12056
;easyLink.c,181 :: 		&calResults_for_vcdac_start_mid[FS_CHP_INDEX], 1);
JAL	_ccRF_SPIReadReg+0
NOP	
;easyLink.c,185 :: 		if (calResults_for_vcdac_start_high[FS_VCO2_INDEX] >
ADDIU	R2, SP, 17
LBU	R3, 0(R2)
;easyLink.c,186 :: 		calResults_for_vcdac_start_mid[FS_VCO2_INDEX]) {
ADDIU	R2, SP, 20
LBU	R2, 0(R2)
ANDI	R3, R3, 255
ANDI	R2, R2, 255
SLTU	R2, R2, R3
BNE	R2, R0, L__ccRF_ManualCalibration44
NOP	
J	L_ccRF_ManualCalibration21
NOP	
L__ccRF_ManualCalibration44:
;easyLink.c,187 :: 		writeByte = calResults_for_vcdac_start_high[FS_VCO2_INDEX];
ADDIU	R2, SP, 17
LBU	R2, 0(R2)
SB	R2, 24(SP)
;easyLink.c,188 :: 		CCRF_SpiWriteReg(CCRF_3_FS_VCO2, &writeByte, 1);
ADDIU	R2, SP, 24
ORI	R27, R0, 1
MOVZ	R26, R2, R0
ORI	R25, R0, 12069
JAL	_ccRF_SPIWriteReg+0
NOP	
;easyLink.c,189 :: 		writeByte = calResults_for_vcdac_start_high[FS_VCO4_INDEX];
ADDIU	R2, SP, 17
ADDIU	R2, R2, 1
LBU	R2, 0(R2)
SB	R2, 24(SP)
;easyLink.c,190 :: 		CCRF_SpiWriteReg(CCRF_3_FS_VCO4, &writeByte, 1);
ADDIU	R2, SP, 24
ORI	R27, R0, 1
MOVZ	R26, R2, R0
ORI	R25, R0, 12067
JAL	_ccRF_SPIWriteReg+0
NOP	
;easyLink.c,191 :: 		writeByte = calResults_for_vcdac_start_high[FS_CHP_INDEX];
ADDIU	R2, SP, 17
ADDIU	R2, R2, 2
LBU	R2, 0(R2)
SB	R2, 24(SP)
;easyLink.c,192 :: 		CCRF_SpiWriteReg(CCRF_3_FS_CHP, &writeByte, 1);
ADDIU	R2, SP, 24
ORI	R27, R0, 1
MOVZ	R26, R2, R0
ORI	R25, R0, 12056
JAL	_ccRF_SPIWriteReg+0
NOP	
;easyLink.c,193 :: 		} else {
J	L_ccRF_ManualCalibration22
NOP	
L_ccRF_ManualCalibration21:
;easyLink.c,194 :: 		writeByte = calResults_for_vcdac_start_mid[FS_VCO2_INDEX];
ADDIU	R2, SP, 20
LBU	R2, 0(R2)
SB	R2, 24(SP)
;easyLink.c,195 :: 		CCRF_SpiWriteReg(CCRF_3_FS_VCO2, &writeByte, 1);
ADDIU	R2, SP, 24
ORI	R27, R0, 1
MOVZ	R26, R2, R0
ORI	R25, R0, 12069
JAL	_ccRF_SPIWriteReg+0
NOP	
;easyLink.c,196 :: 		writeByte = calResults_for_vcdac_start_mid[FS_VCO4_INDEX];
ADDIU	R2, SP, 20
ADDIU	R2, R2, 1
LBU	R2, 0(R2)
SB	R2, 24(SP)
;easyLink.c,197 :: 		CCRF_SpiWriteReg(CCRF_3_FS_VCO4, &writeByte, 1);
ADDIU	R2, SP, 24
ORI	R27, R0, 1
MOVZ	R26, R2, R0
ORI	R25, R0, 12067
JAL	_ccRF_SPIWriteReg+0
NOP	
;easyLink.c,198 :: 		writeByte = calResults_for_vcdac_start_mid[FS_CHP_INDEX];
ADDIU	R2, SP, 20
ADDIU	R2, R2, 2
LBU	R2, 0(R2)
SB	R2, 24(SP)
;easyLink.c,199 :: 		CCRF_SpiWriteReg(CCRF_3_FS_CHP, &writeByte, 1);
ADDIU	R2, SP, 24
ORI	R27, R0, 1
MOVZ	R26, R2, R0
ORI	R25, R0, 12056
JAL	_ccRF_SPIWriteReg+0
NOP	
;easyLink.c,200 :: 		}
L_ccRF_ManualCalibration22:
;easyLink.c,201 :: 		}
L_end_ccRF_ManualCalibration:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 28
JR	RA
NOP	
; end of _ccRF_ManualCalibration
_ccRF_Configure:
;easyLink.c,203 :: 		void ccRF_Configure(){
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;easyLink.c,204 :: 		ccRF_RegisterConfig();
JAL	_ccRF_RegisterConfig+0
NOP	
;easyLink.c,205 :: 		ccRF_ManualCalibration();
JAL	_ccRF_ManualCalibration+0
NOP	
;easyLink.c,206 :: 		}
L_end_ccRF_Configure:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _ccRF_Configure
