#line 1 "D:/Stefan Popovic/Projekti/Click_ccRF_3_CC1120/example/PIC32/easyLink.c"
#line 1 "d:/stefan popovic/projekti/click_ccrf_3_cc1120/example/pic32/easy_link_reg_config.h"
#line 1 "d:/stefan popovic/projekti/click_ccrf_3_cc1120/example/pic32/ccrf_3_registers.h"
#line 2 "d:/stefan popovic/projekti/click_ccrf_3_cc1120/example/pic32/easy_link_reg_config.h"
typedef struct
{
 unsigned int addr;
 unsigned short dat;
}registerSetting_t;

const registerSetting_t preferredSettings_433[] = {
 { 0x0000 , 0xB0},
 { 0x0001 , 0x06},
 { 0x0002 , 0xB0},
 { 0x0003 , 0x40},
 { 0x0008 , 0x0B},
 { 0x000C , 0x1C},
 { 0x0010 , 0xC6},
 { 0x0011 , 0x08},
 { 0x0013 , 0x05},
 { 0x0017 , 0x20},
 { 0x0018 , 0x19},
 { 0x001C , 0xA9},
 { 0x001D , 0xCF},
 { 0x001E , 0x00},
 { 0x0020 , 0x03},
 { 0x0021 , 0x14},
 { 0x0027 , 0x05},
 { 0x0028 , 0x20},
 { 0x002B , 0x4F},
 { 0x002C , 0x56},
 { 0x002D , 0x1C},
 { 0x002E , 0xFF},
 { 0x2F00 , 0x00},
 { 0x2F01 , 0x22},
 { 0x2F0C , 0x6C},
 { 0x2F0D , 0x80},
 { 0x2F0E , 0x00},
 { 0x2F12 , 0x00},
 { 0x2F13 , 0x5F},
 { 0x2F17 , 0x0E},
 { 0x2F19 , 0x03},
 { 0x2F1B , 0x33},
 { 0x2F1D , 0x17},
 { 0x2F1F , 0x50},
 { 0x2F20 , 0x6E},
 { 0x2F21 , 0x14},
 { 0x2F22 , 0xAC},
 { 0x2F32 , 0x0E},
 { 0x2F34 , 0xC7},
 { 0x2F36 , 0x03},
 };
#line 1 "d:/stefan popovic/projekti/click_ccrf_3_cc1120/example/pic32/spi_functions.h"
char ccRF_SPICmdStrobe(char cmd);
char ccRF_8BitRegAccess(char accessType, char addrByte, char *pData, unsigned len);
char ccRF_16BitRegAccess(char accessType, char extAddr, char regAddr, char *pData, char len);
char ccRF_SPICmdStrobe(char cmd);
static void ccRF_ReadWriteBurstSingle(char addr,char *pData,unsigned len);
char ccRF_SPIWriteReg(unsigned addr, char *pData, char len);
char ccRF_SPIReadReg(unsigned addr, char *pData, char len);
char ccRF_SPIWriteTxFifo(char *pData, char len);
char ccRF_SPIReadRxFifo(char *pData, char len);
char ccRF_ReadGPIO2();
#line 6 "D:/Stefan Popovic/Projekti/Click_ccRF_3_CC1120/example/PIC32/easyLink.c"
extern sfr sbit CCRF_3_GP2;
extern sfr sbit CCRF_3_GP3;
volatile unsigned packetCounter = 0;
volatile unsigned receivedCounter = 0;
char buffer[ 5 +1] = {0};

void ccRF_CreatePacket(char txBuffer[])
{
 int i;
 char tmp = 0xAA;
 buffer[0] =  5 ;
 buffer[1] = (char) (packetCounter >> 8);
 buffer[2] = (char) packetCounter;


 for(i = 3; i <  5 ; i++)
 {
 if ( i % 2 )
 {
 buffer[i] = tmp;
 }
 else
 {
 buffer[i] = ~tmp;
 }
 }
}

void ccRF_RunTX()
{
char txt_cnt[5];

 packetCounter++;
 WordToStr(packetCounter, txt_cnt);
 TFT_Rectangle(180,120,280,150);
 TFT_Write_Text(txt_cnt, 200, 130);



 ccRF_CreatePacket(buffer);

 ccRF_SPIWriteTxFifo(buffer, sizeof(buffer));

 ccRF_SPICmdStrobe( 0x35 );
 Delay_100ms();
}


void ccRF_SetRXmode()
{
 ccRF_SpiCmdStrobe( 0x34 );
}

void ccRF_RunRX(){
char txt[25];
unsigned char rxBytes;
char marcState;
unsigned receivedCnt = 0;

 if(CCRF_3_GP3){
 while(CCRF_3_GP3);


 ccRF_SPIReadReg( 0x2FD7 , &rxBytes, 1);

 if(rxBytes != 0) {

 ccRF_SPIReadReg( 0x2F73 , &marcState, 1);

 if((marcState & 0x1F) ==  0x11 ) {

 CCRF_SpiCmdStrobe( 0x3A );
 TFT_Write_Text("ERROR", 200, 180);
 } else {

 ccRF_SPIReadRxFifo(buffer, rxBytes);




 if(buffer[rxBytes - 1] & 0x80) {
 ccRF_SetRXmode();

 receivedCounter++;
 receivedCnt = buffer[1]<<8;
 receivedCnt += buffer[2];
 WordToStr(receivedCnt, txt);
 TFT_Set_Pen( CL_WHITE, 1 );
 TFT_Set_Brush(1, CL_WHITE, 0, 0, 0, 0);
 TFT_Rectangle(190, 180, 300, 200);
 TFT_Write_Text(txt, 200, 180);

 }
 }
 }
 }
}

void ccRF_RegisterConfig(void)
{
 unsigned char writeByte;
 unsigned i;

 CCRF_SpiCmdStrobe( 0x30 );


 for(i = 0; i < (sizeof(preferredSettings_433)/sizeof(registerSetting_t)); i++)
 {
 writeByte = preferredSettings_433[i].dat;
 CCRF_SpiWriteReg(preferredSettings_433[i].addr, &writeByte, 1);
 }
}






void ccRF_ManualCalibration(void) {

 char original_fs_cal2;
 char calResults_for_vcdac_start_high[3];
 char calResults_for_vcdac_start_mid[3];
 char marcstate;
 char writeByte;


 writeByte = 0x00;
 CCRF_SpiWriteReg( 0x2F25 , &writeByte, 1);


 CCRF_SpiReadReg( 0x2F15 , &original_fs_cal2, 1);
 writeByte = original_fs_cal2 +  2 ;
 CCRF_SpiWriteReg( 0x2F15 , &writeByte, 1);



 CCRF_SpiCmdStrobe( 0x33 );

 do {
 CCRF_SpiReadReg( 0x2F73 , &marcstate, 1);
 } while (marcstate != 0x41);



 CCRF_SpiReadReg( 0x2F25 ,
 &calResults_for_vcdac_start_high[ 0 ], 1);
 CCRF_SpiReadReg( 0x2F23 ,
 &calResults_for_vcdac_start_high[ 1 ], 1);
 CCRF_SpiReadReg( 0x2F18 ,
 &calResults_for_vcdac_start_high[ 2 ], 1);


 writeByte = 0x00;
 CCRF_SpiWriteReg( 0x2F25 , &writeByte, 1);


 writeByte = original_fs_cal2;
 CCRF_SpiWriteReg( 0x2F15 , &writeByte, 1);



 CCRF_SpiCmdStrobe( 0x33 );

 do {
 CCRF_SpiReadReg( 0x2F73 , &marcstate, 1);
 } while (marcstate != 0x41);



 CCRF_SpiReadReg( 0x2F25 ,
 &calResults_for_vcdac_start_mid[ 0 ], 1);
 CCRF_SpiReadReg( 0x2F23 ,
 &calResults_for_vcdac_start_mid[ 1 ], 1);
 CCRF_SpiReadReg( 0x2F18 ,
 &calResults_for_vcdac_start_mid[ 2 ], 1);



 if (calResults_for_vcdac_start_high[ 0 ] >
 calResults_for_vcdac_start_mid[ 0 ]) {
 writeByte = calResults_for_vcdac_start_high[ 0 ];
 CCRF_SpiWriteReg( 0x2F25 , &writeByte, 1);
 writeByte = calResults_for_vcdac_start_high[ 1 ];
 CCRF_SpiWriteReg( 0x2F23 , &writeByte, 1);
 writeByte = calResults_for_vcdac_start_high[ 2 ];
 CCRF_SpiWriteReg( 0x2F18 , &writeByte, 1);
 } else {
 writeByte = calResults_for_vcdac_start_mid[ 0 ];
 CCRF_SpiWriteReg( 0x2F25 , &writeByte, 1);
 writeByte = calResults_for_vcdac_start_mid[ 1 ];
 CCRF_SpiWriteReg( 0x2F23 , &writeByte, 1);
 writeByte = calResults_for_vcdac_start_mid[ 2 ];
 CCRF_SpiWriteReg( 0x2F18 , &writeByte, 1);
 }
}

void ccRF_Configure(){
 ccRF_RegisterConfig();
 ccRF_ManualCalibration();
}
