#include "ccRF_3_registers.h"
typedef struct
{
  unsigned int   addr;
  unsigned short dat;
}registerSetting_t;

const registerSetting_t preferredSettings_433[] = {
    {CCRF_3_IOCFG3,         0xB0},
    {CCRF_3_IOCFG2,         0x06},
    {CCRF_3_IOCFG1,         0xB0},
    {CCRF_3_IOCFG0,         0x40},
    {CCRF_3_SYNC_CFG1,      0x0B},
    {CCRF_3_DCFILT_CFG,     0x1C},
    {CCRF_3_IQIC,           0xC6},
    {CCRF_3_CHAN_BW,        0x08},
    {CCRF_3_MDMCFG0,        0x05},
    {CCRF_3_AGC_REF,        0x20},
    {CCRF_3_AGC_CS_THR,     0x19},
    {CCRF_3_AGC_CFG1,       0xA9},
    {CCRF_3_AGC_CFG0,       0xCF},
    {CCRF_3_FIFO_CFG,       0x00},
    {CCRF_3_SETTLING_CFG,   0x03},
    {CCRF_3_FS_CFG,         0x14},
    {CCRF_3_PKT_CFG1,       0x05},
    {CCRF_3_PKT_CFG0,       0x20},
    {CCRF_3_PA_CFG2,        0x4F},
    {CCRF_3_PA_CFG1,        0x56},
    {CCRF_3_PA_CFG0,        0x1C},
    {CCRF_3_PKT_LEN,        0xFF},
    {CCRF_3_IF_MIX_CFG,     0x00},
    {CCRF_3_FREQOFF_CFG,    0x22},
    {CCRF_3_FREQ2,          0x6C},
    {CCRF_3_FREQ1,          0x80},
    {CCRF_3_FREQ0,          0x00},
    {CCRF_3_FS_DIG1,        0x00},
    {CCRF_3_FS_DIG0,        0x5F},
    {CCRF_3_FS_CAL0,        0x0E},
    {CCRF_3_FS_DIVTWO,      0x03},
    {CCRF_3_FS_DSM0,        0x33},
    {CCRF_3_FS_DVC0,        0x17},
    {CCRF_3_FS_PFD,         0x50},
    {CCRF_3_FS_PRE,         0x6E},
    {CCRF_3_FS_REG_DIV_CML, 0x14},
    {CCRF_3_FS_SPARE,       0xAC},
    {CCRF_3_XOSC5,          0x0E},
    {CCRF_3_XOSC3,          0xC7},
    {CCRF_3_XOSC1,          0x03},
 };